/* Alle Styles nur für die Calendar-Übersicht */
.com-dpcalendar-calendar,
.com-dpcalendar-eventform,
.com-dpcalendar-event {
    background: rgba(35, 35, 35, 0.75);
    margin: 150px 0 0 0;
    border-radius: 10px;
    border: 20px solid rgba(35, 35, 35, 0.05);
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}

/* Links in der Übersicht */
.com-dpcalendar-calendar .dp-description__description a {
    color: white;
}
.com-dpcalendar-calendar .dp-description__description a:hover {
    color: blue;
}

/* Flexbox für Input-Container */
.com-dpcalendar-eventform .dp-select-container__input {
    display: flex;
    align-items: center;
    padding: 0.25rem;
    box-sizing: border-box;
    width: 100%;
    border: 1px solid white;
    border-radius: 5px;
    overflow: hidden;
}

.com-dpcalendar-eventform .dp-select-container__input .dp-select-input {
    flex: 1;
    min-width: 0;
    box-sizing: border-box;
    border: none;
}

/* Links in der Beschreibung */
.com-dpcalendar-eventform .dp-description__description a {
    color: white;
}
.com-dpcalendar-eventform .dp-description__description a:hover {
    color: blue;
}

/* Versteckte Felder */
.com-dpcalendar-eventform .control-group.dp-field-modified {
    display: none;
}

.com-dpcalendar-eventform #jform_url,
.com-dpcalendar-eventform #jform_title,
.com-dpcalendar-eventform #jform_start_date,
.com-dpcalendar-eventform #jform_start_date_time,
.com-dpcalendar-eventform #jform_end_date,
.com-dpcalendar-eventform #jform_end_date_time,
.com-dpcalendar-eventform .dp-select-option,
.com-dpcalendar-eventform #jform_images_image_intro,
.com-dpcalendar-eventform #jform_images_image_intro_caption,
.com-dpcalendar-eventform#jform_scheduling_interval,
.com-dpcalendar-eventform#jform_scheduling_end_date,
.com-dpcalendar-eventform#jform_scheduling_repeat_count {
    color: black;
}


.com-dpcalendar-eventform .dp-field-image-intro-alt,
.com-dpcalendar-eventform .dp-field-image-intro-captio,
.com-dpcalendar-eventform .dp-field-image-full,
.com-dpcalendar-eventform .dp-field-image-full-caption,
.com-dpcalendar-eventform .dp-field-image-full-alt,
.com-dpcalendar-eventform .dp-field-rrule,
.com-dpcalendar-eventform .dp-field-exdates,
.com-dpcalendar-eventform .js-tiny-toggler-button,
.com-dpcalendar-eventform .dp-field-created-by-alias {
    display: none;
}
